## deepin-reader 5.10.9

=== debian/changelog ===
deepin-reader (5.10.9-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 24 Jan 2022 13:15:14 +0800

deepin-reader (5.8.0.1) unstable; urgency=low

  * Autobuild Tag 5.8.0.1

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 30 oct 2020 18:46:29 +0000
