=== debian/control ===
Source: deepin-reader
Section: graphics
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11), pkg-config, qtbase5-dev, qtchooser, qttools5-dev-tools, libdtkwidget-dev, libspectre-dev, libdjvulibre-dev, libtiff-dev, libkf5archive-dev, libjpeg-dev, libicu-dev, libpng-dev, zlib1g-dev, liblcms2-dev, libopenjp2-7-dev, libfreetype6-dev, libgtest-dev, libchardet-dev, qtwebengine5-dev
Standards-Version: 4.5.0

Package: deepin-reader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pandoc, libdtkwidget5 (>= 5.4.11)
Description: a tool for reading document files.
 Document Viewer is a tool for reading document files,supporting PDF, DJVU, DOCX etc
