## deepin-reader 5.10.13

=== debian/changelog ===
deepin-reader (5.10.13-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 16 May 2022 10:21:39 +0800
