## deepin-reader 5.10.23

=== debian/changelog ===
deepin-reader (5.10.23-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Fri, 12 Aug 2022 10:28:56 +0800
