## deepin-reader 5.10.27

=== debian/changelog ===
deepin-reader (5.10.27-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 17 Nov 2022 10:44:39 +0800
