## deepin-reader 6.0.8

=== debian/changelog ===
deepin-reader (6.0.8) unstable; urgency=medium

  * change log 6.0.8.

 -- liuqingfu <liuqingfu@uniontech.com>  Tue, 09 Jan 2024 15:15:42 +0800

deepin-reader (6.0.7) unstable; urgency=medium

  * change log 6.0.7.

 -- muyuankai <muyuankai@uniontech.com>  Tue, 19 Dec 2023 11:49:10 +0800

deepin-reader (6.0.6) unstable; urgency=medium

  * fix: can not copy
 
 -- fengli <fengli@uniontech.com>  Fri, 03 Nov 2023 13:23:33 +0800

deepin-reader (6.0.5) unstable; urgency=medium

  * change log 6.0.5.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 16 Oct 2023 20:11:51 +0800

deepin-reader (6.0.4) unstable; urgency=medium

  * compact mode.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 16 Oct 2023 14:29:42 +0800

deepin-reader (6.0.3) unstable; urgency=medium

  * fix bug.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 16 Oct 2023 14:20:13 +0800

deepin-reader (6.0.2) unstable; urgency=medium

  * Update tag.

 -- wangcong <wangcong@uniontech.com>  Thu, 20 Jul 2023 17:55:34 +0800

deepin-reader (6.0.1) unstable; urgency=medium

  * Update tag.

 -- wangcong <wangcong@uniontech.com>  Wed, 4 Jan 2023 17:55:34 +0800

deepin-reader (6.0.0) unstable; urgency=medium

  * Update tag.

 -- wangcong <wangcong@uniontech.com>  Wed, 4 Jan 2023 17:55:34 +0800
 
