## deepin-reader 6.5.2

=== debian/changelog ===
deepin-reader (6.5.2) unstable; urgency=medium

  * fix: shortcut copy text not work(Bug: 234693)(Influence: shortcut-copy)
  * feat: [translation]add transifex config(Task: 361363)

 -- renbin <renbin@uniontech.com>  Fri, 20 Sep 2024 13:08:18 +0800

deepin-reader (6.5.1) unstable; urgency=medium

  * New version 6.5.1
  * Adapt linglong.

-- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-reader (6.5.0) unstable; urgency=medium

  * feat: adapt treeland(Influence: Treeland)

 -- renbin <renbin@uniontech.com>  Wed, 21 Aug 2024 15:38:41 +0800

deepin-reader (6.0.10) unstable; urgency=medium

  * change log 6.0.10.

 -- muyuankai <muyuankai@uniontech.com>  Thu, 20 Jun 2024 11:48:10 +0800

deepin-reader (6.0.9) unstable; urgency=medium

  * fix: Fixed the problem that when opening any PDF in the document viewer,
         the enlargement or reduction percentage is not displayed in the
         upper left corner(Bug: 248095)
  * feat: Change default shortcuts popup position(Task: 332271)
         (Influence: Shortcuts)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:47:28 +0800
