=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 Package: deepin-reader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pandoc, libdtkwidget5 (>= 5.4.11)
-Recommends: uos-reporter, deepin-event-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, pandoc
 Description: a tool for reading document files.
  Document Viewer is a tool for reading document files,supporting PDF, DJVU, DOCX etc
