## deepin-reader 6.5.24

=== debian/changelog ===
deepin-reader (6.5.24) unstable; urgency=medium

  * Update version to 6.5.24.

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 11:26:02 +0800

deepin-reader (6.5.23) unstable; urgency=medium

  * fix: Fix file loss issue when saving and closing documents in SMB network share
  * Bump version to 6.5.23

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 09 May 2025 13:19:21 +0800

deepin-reader (6.5.22) unstable; urgency=medium

  * refactor: [build]Enable cmake build
  * chore: [build]Replace the source build with install library
  * chore: Remove unused source
  * fix: [build]Fix the build depend for Qt5 base.

 -- renbin <renbin@uniontech.com>  Thu, 24 Apr 2025 17:15:20 +0800

deepin-reader (6.5.21) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:34:04 +0800

deepin-reader (6.5.20) unstable; urgency=medium

  * Update version to 6.5.20

 -- Liu zheng <liuzheng@uniontech.com>  Thu, 10 Apr 2025 15:46:26 +0800

deepin-reader (6.5.19) unstable; urgency=medium

  * Update version to 6.519

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Apr 2025 14:58:31 +0800

deepin-reader (6.5.18) unstable; urgency=medium

  * New upstream release.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 27 Mar 2025 21:15:49 +0800

deepin-reader (6.5.17) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 27 Mar 2025 20:22:55 +0800

deepin-reader (6.5.16) unstable; urgency=medium

  * update version to 6.5.16.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 27 Mar 2025 17:41:43 +0800

deepin-reader (6.5.15) unstable; urgency=medium

  * update version to 6.5.15
  * chore: update linglong.yaml for translations

 -- wangrong <wangrong@uniontech.com>  Fri, 14 Mar 2025 08:52:56 +0800

deepin-reader (6.5.14) unstable; urgency=medium

  * chore: New version 6.5.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 28 Feb 2025 10:08:29 +0800

deepin-reader (6.5.13) unstable; urgency=medium

  * update version to 6.5.13
  * fix: fix fail to open .docx file
  * fix: fix app stuck when checking document info
  * chore: update linglong.yaml for translations

 -- wangrong <wangrong@uniontech.com>  Thu, 20 Feb 2025 18:52:13 +0800

deepin-reader (6.5.12) unstable; urgency=medium

  * Update version to 6.5.12
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Fri, 24 Jan 2025 13:53:10 +0800

deepin-reader (6.5.11) unstable; urgency=medium

  * New tag.

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 20 Jan 2025 16:05:17 +0800

deepin-reader (6.5.10) unstable; urgency=medium

  * New tag 

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 20 Jan 2025 14:02:53 +0800

deepin-reader (6.5.9) unstable; urgency=medium

  * Update version to 6.5.9

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 14:02:47 +0800

deepin-reader (6.5.8) unstable; urgency=medium

  * chore: New version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 14:06:56 +0800

deepin-reader (6.5.7) unstable; urgency=medium

  * Update version to 6.5.7

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:08:36 +0800

deepin-reader (6.5.6) unstable; urgency=medium

  * Update version to 6.5.6

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:41:58 +0800

deepin-reader (6.5.5) unstable; urgency=medium

  * chore: update linglong version

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 13:44:26 +0800

deepin-reader (6.5.4) unstable; urgency=medium

  *remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 16:11:13 +0800

deepin-reader (6.5.3) unstable; urgency=medium

  * Fix pdf conflict problem

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 16 Oct 2024 13:45:31 +0800
