## deepin-reader 6.5.28

=== debian/changelog ===
deepin-reader (6.5.28) unstable; urgency=medium

  * chore: remove deepin-reader_en_AU.ts file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 27 Jun 2025 17:03:22 +0800

deepin-reader (6.5.27) unstable; urgency=medium

  * fix(translations): update translations for multiple languages by Ai (#175)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 10:48:12 +0800

deepin-reader (6.5.26) unstable; urgency=medium

  * Fix build failure on mips64el

 -- wangrong <wangrong@uniontech.com>  Sat, 21 Jun 2025 09:43:10 +0800

deepin-reader (6.5.25) unstable; urgency=medium

  * build: Add position-independent code compilation flags

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:23:13 +0800
