## deepin-reader 6.5.35

=== debian/changelog ===
deepin-reader (6.5.35) unstable; urgency=medium

  * chore: Update version to 6.5.35

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 16:31:09 +0800

deepin-reader (6.5.34) unstable; urgency=medium

  * chore: Add INCLUDEPATH to project files for htmltopdf and reader

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 15:00:14 +0800

deepin-reader (6.5.33) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files (#183)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 05 Aug 2025 21:09:33 +0800
