=== debian/changelog ===
deepin-reader (6.5.40) unstable; urgency=medium

  * fix(reader): remove unsafe QObject* logging in SideBarImageViewModel

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 25 Sep 2025 16:04:50 +0800

deepin-reader (6.5.39) unstable; urgency=medium

  * chore: fix linglong build issue and update version.

 -- re2zero <yangwu@uniontech.com>  Wed, 17 Sep 2025 17:40:33 +0800

deepin-reader (6.5.38) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 11:05:54 +0800

deepin-reader (6.5.37) unstable; urgency=medium

  * fix: Update getHtmlToPdfPath for Qt version compatibility and include cmath in XpsDocument

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 04 Sep 2025 16:56:23 +0800

deepin-reader (6.5.36) unstable; urgency=medium

  * bug: Add dynamic path resolution for htmltopdf

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 03 Sep 2025 09:29:10 +0800
