=== debian/control ===

Source: deepin-reader
Section: graphics
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 qt6-5compat-dev [!mipsel !mips64el] | libqt5x11extras5-dev,
 qt6-base-dev [!mipsel !mips64el] | qtbase5-dev,
 qt6-tools-dev-tools [!mipsel !mips64el] | qttools5-dev-tools,
 qt6-tools-dev [!mipsel !mips64el] | qttools5-dev,
 qt6-svg-dev [!mipsel !mips64el] | libqt5svg5-dev,
 qt6-webengine-dev [!mipsel !mips64el] | qtwebengine5-dev,
 libdtk6widget-dev [!mipsel !mips64el] | libdtkwidget-dev,
 libdtk6gui-dev [!mipsel !mips64el] | libdtkgui-dev,
 libdtk6core-dev [!mipsel !mips64el] | libdtkcore-dev,
 libdeepin-pdfium-dev (>= 1.5.1) [!mipsel !mips64el] | libdeepin-pdfium5-dev (>= 1.5.1),
 libdjvulibre-dev,
 libtiff-dev,
 libjpeg-dev,
 libicu-dev,
 libpng-dev,
 zlib1g-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libfreetype6-dev,
 libgtest-dev,
 libchardet-dev,
Standards-Version: 4.5.0

Package: deepin-reader
Architecture: any
Depends: 
    ${shlibs:Depends}, 
    ${misc:Depends}, 
    pandoc,  
    libqt6webenginecore6-bin [!mipsel !mips64el] | libqt5core5a
Description: a tool for reading document files.
 Document Viewer is a tool for reading document files, supporting PDF, DJVU, DOCX etc.
