## deepin-reader 6.5.44

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,13 +11,41 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-# XPS支持选项（默认关闭）
-option(XPS_SUPPORT "Enable XPS document format support" OFF)
-if(XPS_SUPPORT)
-    message(">>> XPS support enabled")
-    add_compile_definitions(XPS_SUPPORT_ENABLED)
+# XPS支持选项（根据依赖检测自动启用）
+find_package(PkgConfig REQUIRED)
+option(XPS_SUPPORT "Enable XPS document format support" ON)
+
+set(XPS_SUPPORT_RESOLVED ${XPS_SUPPORT})
+set(XPS_DEPS_FOUND OFF)
+
+if (XPS_SUPPORT)
+    if (PkgConfig_FOUND)
+        pkg_check_modules(XPS_DEPS QUIET libgxps cairo glib-2.0 gobject-2.0)
+        if (XPS_DEPS_FOUND)
+            message(STATUS ">>> XPS support enabled (libgxps dependencies detected)")
+            add_compile_definitions(XPS_SUPPORT_ENABLED)
+            set(XPS_SUPPORT_RESOLVED ON)
+        else()
+            message(WARNING ">>> XPS support disabled: missing libgxps/cairo/glib-2.0/gobject-2.0 dependencies")
+            set(XPS_SUPPORT_RESOLVED OFF)
+        endif()
+    else()
+        message(WARNING ">>> XPS support disabled: pkg-config not available")
+        set(XPS_SUPPORT_RESOLVED OFF)
+    endif()
 else()
-    message(">>> XPS support disabled")
+    message(STATUS ">>> XPS support disabled by configuration")
+endif()
+
+set(XPS_SUPPORT_ENABLED ${XPS_SUPPORT_RESOLVED})
+if (XPS_SUPPORT_ENABLED)
+    set(XPS_DEPS_INCLUDE_DIRS ${XPS_DEPS_INCLUDE_DIRS})
+    set(XPS_DEPS_LIBRARIES ${XPS_DEPS_LIBRARIES})
+    set(XPS_DEPS_CFLAGS_OTHER ${XPS_DEPS_CFLAGS_OTHER})
+else()
+    unset(XPS_DEPS_INCLUDE_DIRS)
+    unset(XPS_DEPS_LIBRARIES)
+    unset(XPS_DEPS_CFLAGS_OTHER)
 endif()
 
 include(GNUInstallDirs)
@@ -37,10 +65,14 @@
 # 设置DTK版本
 if (QT_VERSION_MAJOR MATCHES 6)
     set(DTK_VERSION_MAJOR 6)
-    set(PDF_LIB_VERSION "")
 else()
     set(DTK_VERSION_MAJOR "")
+endif()
+
+if (QT_VERSION_MAJOR MATCHES 5)
     set(PDF_LIB_VERSION 5)
+else()
+    set(PDF_LIB_VERSION "")
 endif()
 message(">>> Build with DTK: ${DTK_VERSION_MAJOR}")
