=== debian/changelog ===
deepin-reader (6.5.44) unstable; urgency=medium

  * build error (#207)

 -- lizheng <uos@uos-PC>  Fri, 14 Nov 2025 08:12:03 +0800

deepin-reader (6.5.43) unstable; urgency=medium

  * feat: Improve XPS print quality by using printer DPI-aware rendering

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 13 Nov 2025 20:17:33 +0800

deepin-reader (6.5.42) unstable; urgency=medium

  * fix: improve FindWidget position update logic

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 13 Nov 2025 14:35:10 +0800

deepin-reader (6.5.41) unstable; urgency=medium

  * fix: fix access with long url in pdf.

 -- re2zero <yangwu@uniontech.com>  Thu, 06 Nov 2025 20:33:01 +0800
